%{?nodejs_find_provides_and_requires}

%global enable_tests 1


Name:           nodejs-es-abstract
Version:        1.5.1
Release:        %mkrel 1
Group:          Development/Other
Summary:        ECMAScript spec abstract operations

License:        MIT
URL:            https://github.com/ljharb/es-abstract
Source0:        https://registry.npmjs.org/es-abstract/-/es-abstract-%{version}.tgz
BuildArch:      noarch
ExclusiveArch: %{ix86} x86_64 %{arm} noarch

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(es-to-primitive)
BuildRequires:  npm(foreach)
BuildRequires:  npm(function-bind)
BuildRequires:  npm(is-callable)
BuildRequires:  npm(is-regex)
BuildRequires:  npm(object-is)
BuildRequires:  npm(tape)
%endif


%description
ECMAScript spec abstract operations. When different versions of the
spec conflict, the default export will be the latest version of the
abstract operation. All abstract operations will also be available
under an es5/es6/es7 exported property if you require a specific version.


%prep
%autosetup -p 1 -n package
rm -rf node_modules


%build


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/es-abstract
cp -pr package.json *.js helpers %{buildroot}%{nodejs_sitelib}/es-abstract
%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
echo 0%{?enable_tests}
%nodejs_symlink_deps --check
%{__nodejs} test/index.js
%endif


%files
%doc README.md CHANGELOG.md
%license LICENSE
%{nodejs_sitelib}/es-abstract



%changelog
* Sun Dec 18 2016 daviddavid <daviddavid> 1.5.1-1.mga6
+ Revision: 1076049
- new version: 1.5.1
- remove merged upstream patch

* Wed May 25 2016 neoclust <neoclust> 1.5.0-4.mga6
+ Revision: 1018352
- Enable tests

* Sun May 22 2016 tv <tv> 1.5.0-3.mga6
+ Revision: 1017610
- disable testuite for boostrapping

  + neoclust <neoclust>
    - imported package nodejs-es-abstract

